#include "interface.h"
#include "bmp.h"

/**
  * @breaf 本页定义变量
  */
Menu_table menu;			
unsigned char L1[] = "L1";
unsigned char L2[] = "L2";
unsigned char L3[] = "L3";
unsigned char L4[] = "L4";
unsigned char NOSETLOCK[] = "null";
bool refresh=false; 	
bool L1bd = false;						//L1绑定标志位
bool L2bd = false;						//L2绑定标志位
bool L3bd = false;						//L3绑定标志位
bool L4bd = false;						//L4绑定标志位	

unsigned char Mac001[]="101000000001";
unsigned char Mac002[]="101000000002";
unsigned char Mac003[]="101000000003";
unsigned char Mac004[]="101000000004";
unsigned char Mac005[]="101000000005";
unsigned char Mac006[]="101000000006";
unsigned char Mac007[]="101000000007";
unsigned char Mac008[]="101000000008";
unsigned char Mac009[]="101000000009";
unsigned char Mac00A[]="10100000000A";
unsigned char Mac00B[]="10100000000B";
unsigned char Mac00C[]="10100000000C";
unsigned char Mac00D[]="10100000000D";
unsigned char Mac00E[]="10100000000E";
unsigned char Mac00F[]="10100000000F";
unsigned char Mac010[]="101000000010";

TipsFlag tipsflag;
/**
  * @breaf 本页定义方法
  */
void Jump_interface(Menu_table menu);
void home(uint32_t L_s, bool L1bd, bool L2bd, bool L3bd, bool L4bd);//0x00
void mainMenu(void);	//0x01
void LBinding(void);	//0x02
void setLock(void);		//0x03
void workSet(Menu_table menu); //0x04 0x05 0x06 0x07


void Macbinding(void);	//0xA1
void WarningTip(void);	//0xBB
  
/**
  * @breaf 界面跳转
  */
void Jump_interface(Menu_table menu)
{
	if(refresh)
	{
		OLED_Clear();		
		refresh=false;
	}
	switch(menu.current)
	{
		case 0:
			home(menu.home,L1bd,L2bd,L3bd,L4bd);
		break;
		
		case 1:
			mainMenu();
		break;
		
		case 2:
			LBinding();
		break;
		
		case 3:
			setLock();
		break;
			
		case 4:
		case 5:
		case 6:
		case 7:
			workSet(menu);
		break;
		
		
		case 0xA1:
			Macbinding();
		break;
		
		case 0xBB:
			WarningTip();
		break;
	}
}

void setLock(void)
{
	OLED_ShowString(20,2,"L 1",16,1);
	OLED_ShowChinese(50,2,20,14,1);//操
	OLED_ShowChinese(70,2,21,14,1);//作
	OLED_ShowString(20,17,"L 2",16,1);
	OLED_ShowChinese(50,17,20,14,1);//操
	OLED_ShowChinese(70,17,21,14,1);//作
	OLED_ShowString(20,32,"L 3",16,1);
	OLED_ShowChinese(50,32,20,14,1);//操
	OLED_ShowChinese(70,32,21,14,1);//作
	OLED_ShowString(20,47,"L 4",16,1);
	OLED_ShowChinese(50,47,20,14,1);//操
	OLED_ShowChinese(70,47,21,14,1);//作

	if(menu.up==3 && menu.next==0)
	{	
		OLED_ShowString(100,2,"<--",16,0); //L1
	}
	else if(menu.up==2 && menu.next==1)
	{	
		OLED_ShowString(100,17,"<--",16,0);//L2
	}
	else if(menu.up==1 && menu.next==2)
	{	
		OLED_ShowString(100,32,"<--",16,0);//L3
	}
	else if(menu.up==0 && menu.next==3)
	{	
		OLED_ShowString(100,47,"<--",16,0);//L4
	}
}

void workSet(Menu_table menu)
{
	OLED_ShowString(4,8,"SN:",16,1);
	OLED_ShowString(0,8,"LOCKNAME:",12,1);
	OLED_ShowChinese(55,12,0,18,1);//施
	OLED_ShowChinese(75,12,1,18,1);//封
	OLED_ShowChinese(55,40,2,18,1);//解
	OLED_ShowChinese(75,40,3,18,1);//封


	
	if(menu.current==4)
	{
		OLED_ShowString(0,30,menu.SN1name,16,0);
	}
	if(menu.current==5)
	{
		OLED_ShowString(0,30,menu.SN2name,16,0);
	}
	if(menu.current==6)
	{
		OLED_ShowString(0,30,menu.SN3name,16,0);
	}
	if(menu.current==7)
	{
		OLED_ShowString(0,30,menu.SN4name,16,0);
	}
	
	if(menu.up==1)
	{	
		OLED_ShowString(93,12,"<--",16,0);//施封
	}
	else
	{	
		OLED_ShowString(93,40,"<--",16,0);//解封
	}
		
}

/**
  * @breaf 绑定Mac	0xA1
  */
void Macbinding(void)
{
	OLED_ShowString(0,0,"MAC:",16,1);
	OLED_ShowString(0,15,"MAC:",16,1);
	OLED_ShowString(0,30,"MAC:",16,1);
	OLED_ShowString(0,45,"MAC:",16,1);
	if(menu.next<=3)
	{
		OLED_ShowString(32,0,Mac001,16,1);
		OLED_ShowString(32,15,Mac002,16,1);
		OLED_ShowString(32,30,Mac003,16,1);
		OLED_ShowString(32,45,Mac004,16,1);
		if(menu.next==0)
			OLED_ShowString(32,0,Mac001,16,0);
		if(menu.next==1)
			OLED_ShowString(32,15,Mac002,16,0);
		if(menu.next==2)
			OLED_ShowString(32,30,Mac003,16,0);
		if(menu.next==3)
			OLED_ShowString(32,45,Mac004,16,0);
	}
	else if(menu.next>3 && menu.next<=7)
	{
		OLED_ShowString(32,0,Mac005,16,1);
		OLED_ShowString(32,15,Mac006,16,1);
		OLED_ShowString(32,30,Mac007,16,1);
		OLED_ShowString(32,45,Mac008,16,1);
		if(menu.next==4)
			OLED_ShowString(32,0,Mac005,16,0);
		if(menu.next==5)
			OLED_ShowString(32,15,Mac006,16,0);
		if(menu.next==6)
			OLED_ShowString(32,30,Mac007,16,0);
		if(menu.next==7)
			OLED_ShowString(32,45,Mac008,16,0);
	}
	else if(menu.next>7 && menu.next<=0xB)
	{
		OLED_ShowString(32,0,Mac009,16,1);
		OLED_ShowString(32,15,Mac00A,16,1);
		OLED_ShowString(32,30,Mac00B,16,1);
		OLED_ShowString(32,45,Mac00C,16,1);
		if(menu.next==8)
			OLED_ShowString(32,0,Mac009,16,0);
		if(menu.next==9)
			OLED_ShowString(32,15,Mac00A,16,0);
		if(menu.next==0xA)
			OLED_ShowString(32,30,Mac00B,16,0);
		if(menu.next==0xB)
			OLED_ShowString(32,45,Mac00C,16,0);
	}
	else if(menu.next>0xB && menu.next<=0xF)
	{
		OLED_ShowString(32,0,Mac00D,16,1);
		OLED_ShowString(32,15,Mac00E,16,1);
		OLED_ShowString(32,30,Mac00F,16,1);
		OLED_ShowString(32,45,Mac010,16,1);
		if(menu.next==0xC)
			OLED_ShowString(32,0,Mac00D,16,0);
		if(menu.next==0xD)
			OLED_ShowString(32,15,Mac00E,16,0);
		if(menu.next==0xE)
			OLED_ShowString(32,30,Mac00F,16,0);
		if(menu.next==0xF)
			OLED_ShowString(32,45,Mac010,16,0);
	}

}


/**
  * @breaf 菜单界面
  */
void mainMenu(void)
{
	OLED_ShowChinese(10,13,20,16,1);//设
	OLED_ShowChinese(27,13,21,16,1);//备
	OLED_ShowString(44,13,"SN",16,1);//6*12 “SN”
	OLED_ShowChinese(63,13,28,16,1);//绑
	OLED_ShowChinese(80,13,29,16,1);//定
	OLED_ShowChinese(10,40,13,16,1);//对
	OLED_ShowChinese(33,40,14,16,1);//锁
	OLED_ShowChinese(55,40,15,16,1);//作
	OLED_ShowChinese(80,40,16,16,1);//业
	if(menu.up==1)
	{	
		OLED_ShowString(100,13,"<--",16,0);//绑定
	}
	else if(menu.up==0)
	{	
		OLED_ShowString(100,40,"<--",16,0);//作业
	}
}

/**
  * @breaf L绑定界面
  */
void LBinding(void)
{
	OLED_ShowString(20,2,"L 1",16,1);
	OLED_ShowChinese(55,2,16,14,1);//绑
	OLED_ShowChinese(75,2,17,14,1);//定
	OLED_ShowString(20,17,"L 2",16,1);
	OLED_ShowChinese(55,17,16,14,1);//绑
	OLED_ShowChinese(75,17,17,14,1);//定
	OLED_ShowString(20,32,"L 3",16,1);
	OLED_ShowChinese(55,32,16,14,1);//绑
	OLED_ShowChinese(75,32,17,14,1);//定
	OLED_ShowString(20,47,"L 4",16,1);
	OLED_ShowChinese(55,47,16,14,1);//绑
	OLED_ShowChinese(75,47,17,14,1);//定
	if(menu.up==3 && menu.next==0)
	{	
		OLED_ShowString(100,2,"<--",16,0); //L1
	}
	else if(menu.up==2 && menu.next==1)
	{	
		OLED_ShowString(100,17,"<--",16,0);//L2
	}
	else if(menu.up==1 && menu.next==2)
	{	
		OLED_ShowString(100,32,"<--",16,0);//L3
	}
	else if(menu.up==0 && menu.next==3)
	{	
		OLED_ShowString(100,47,"<--",16,0);//L4
	}
	
}

/**
  * @breaf 状态
  */
unsigned char warning[]=" WARNING ";
unsigned char left[]="<<";
unsigned char right[]=">>";
void WarningTip(void)
{
    switch(tipsflag)
    {
        case Nosnset:
        case Starting:
		case Carfail:
        case InProgress:
            OLED_ShowString(29, 0, warning, 16, 0);
            OLED_ShowString(13, 32, right, 16, 1);
            OLED_ShowString(100, 32, left, 16, 1);
            if(tipsflag == Nosnset)
            {
                OLED_ShowChinese(38, 32, 32, 16, 1); //未
                OLED_ShowChinese(58, 32, 33, 16, 1); //绑
                OLED_ShowChinese(78, 32, 34, 16, 1); //定
            }
            else if(tipsflag == Starting)
            {
                OLED_ShowChinese(38, 32, 30, 16, 1); //启
                OLED_ShowChinese(58, 32, 31, 16, 1); //动
                OLED_ShowChinese(78, 32, 0, 16, 1);  //中
            }
            else if(tipsflag == InProgress)
            {
                OLED_ShowChinese(38, 32, 22, 16, 1); //操
                OLED_ShowChinese(58, 32, 23, 16, 1); //作
                OLED_ShowChinese(78, 32, 0, 16, 1);  //中
            }
			else if(tipsflag == Carfail)
            {
                OLED_ShowChinese(38, 32, 35, 16, 1); //卡
                OLED_ShowChinese(58, 32, 36, 16, 1); //异
                OLED_ShowChinese(78, 32, 37, 16, 1); //常
            }
            break;
        case Abnormal_motor:
            OLED_ShowString(20, 52, right, 12, 1);
            OLED_ShowChinese(38, 52, 17, 12, 1); //电
            OLED_ShowChinese(51, 52, 18, 12, 1); //机
            OLED_ShowChinese(64, 52, 19, 12, 1); //异
            OLED_ShowChinese(77, 52, 20, 12, 1); //常
            OLED_ShowString(92, 52, left, 12, 1);
            break;
			
        default:
            // 处理其他情况
            break;
    }
}
/**
  * @breaf 主显示界面（四锁）
  */
void home(uint32_t L_s, bool L1bd, bool L2bd, bool L3bd, bool L4bd)
{
	OLED_ShowString(14,29,L1,12,1);						//L1
	OLED_ShowString(44,29,L2,12,1);						//L2
	OLED_ShowString(74,29,L3,12,1);						//L3
	OLED_ShowString(104,29,L4,12,1);					//L4
	switch(L_s) {
		case 0x0001:
		case 0x000F:
			OLED_ShowString(8,8,NOSETLOCK,12,1);     //L1null
			OLED_ShowString(38,8,NOSETLOCK,12,1);    //L2null
			OLED_ShowString(68,8,NOSETLOCK,12,1);    //L3null
			if(L4bd){
				if(L_s == 0x0001){
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} 
				else if(L_s == 0x000F){
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);   //关
				}
			}
		break;

		case 0x0010:
		case 0x00F0:
			OLED_ShowString(8,8,NOSETLOCK,12,1);     //L1null
			OLED_ShowString(38,8,NOSETLOCK,12,1);    //L2null
			OLED_ShowString(98,8,NOSETLOCK,12,1);		 //L4null
			if(L3bd){
				if(L_s == 0x0010){
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
				} 
				else if(L_s == 0x00F0) {
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);   //关
				}
			}
		break;

		case 0x0011:
		case 0x00FF:
			OLED_ShowString(8,8,NOSETLOCK,12,1);     //L1null
			OLED_ShowString(38,8,NOSETLOCK,12,1);    //L2null
			if(L3bd && L4bd){
				if(L_s == 0x0011){
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x00FF){
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);   //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);   //关
				}
			}
		break;

		case 0x0100:
		case 0x0F00:
			OLED_ShowString(8,8,NOSETLOCK,12,1);     //L1null
			OLED_ShowString(68,8,NOSETLOCK,12,1);    //L3null
			OLED_ShowString(98,8,NOSETLOCK,12,1);		 //L4null
			if(L2bd){
				if(L_s == 0x0100){
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
				} else if(L_s == 0x0F00) {
					OLED_ShowPicture(40,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(42,46,close16,16,1);				//关
				}
			}
		break;

		case 0x0101:
		case 0x0F0F:
		case 0x010F:
		case 0x0F01:
			OLED_ShowString(8,8,NOSETLOCK,12,1);     //L1null
			OLED_ShowString(68,8,NOSETLOCK,12,1);    //L3null
			if(L2bd&&L4bd){
				if(L_s == 0x0101){
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x0F0F) {
					OLED_ShowPicture(40,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(42,46,close16,16,1);				//关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);   //关
				} else if(L_s == 0x010F) {
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);   //关
				} else if(L_s == 0x0F01) {
					OLED_ShowPicture(40,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(42,46,close16,16,1);				//关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				}
			}
		break;


		case 0x0110:
		case 0x0FF0:
		case 0x01F0:
		case 0x0F10:
			OLED_ShowString(8,8,NOSETLOCK,12,1);     //L1null
			OLED_ShowString(98,8,NOSETLOCK,12,1);		 //L4null
			if(L2bd&&L3bd){
				if(L_s == 0x0110){
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
			} else if(L_s == 0x0FF0) {
				OLED_ShowPicture(40,6,20,20,BMP4,1);			//显示图片关
				OLED_ShowChinese(42,46,close16,16,1);				//关
				OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
				OLED_ShowChinese(72,46,close16,16,1);   //关
			} else if(L_s == 0x01F0) {
				OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
				OLED_ShowChinese(42,46,open16,16,1);    //开
				OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
				OLED_ShowChinese(72,46,close16,16,1);   //关
			} else if(L_s == 0x0F10) {
				OLED_ShowPicture(40,6,20,20,BMP4,1);			//显示图片关
				OLED_ShowChinese(42,46,close16,16,1);				//关
				OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
				OLED_ShowChinese(72,46,open16,16,1);    //开
				}
			}
		break;

		case 0x0111:
		case 0x011F:
		case 0x01F1:
		case 0x01FF:
		case 0x0F11:
		case 0x0F1F:
		case 0x0FF1:
		case 0x0FFF:
			OLED_ShowString(8,8,NOSETLOCK,12,1);     //L1null
			if(L2bd&&L3bd&&L4bd){
				if(L_s == 0x0111){
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x011F) {
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0x01F1) {
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x01FF) {
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0x0F11) {
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x0F1F) {
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0x0FF1) {
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x0FFF) {
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				}
			}
		break;

		case 0x1000:
		case 0xF000:
			OLED_ShowString(38,8,NOSETLOCK,12,1);    //L2null
			OLED_ShowString(68,8,NOSETLOCK,12,1);    //L3null
			OLED_ShowString(98,8,NOSETLOCK,12,1);		 //L4null
			if(L1bd){
				if(L_s == 0x1000){
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
				} else if(L_s == 0xF000) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
				}
			}
		break;

		case 0x1001:
		case 0xF00F:
		case 0x100F:
		case 0xF001:
			OLED_ShowString(38,8,NOSETLOCK,12,1);    //L2null
			OLED_ShowString(68,8,NOSETLOCK,12,1);    //L3null
			if(L1bd&&L4bd){
				if(L_s == 0x1001){
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0xF00F) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0x100F) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0xF001) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				}
			}
		break;		


		case 0x1010:
		case 0xF0F0:
		case 0x10F0:
		case 0xF010:
			OLED_ShowString(38,8,NOSETLOCK,12,1);    //L2null
			OLED_ShowString(98,8,NOSETLOCK,12,1);		 //L4null
			if(L1bd&&L3bd){
				if(L_s == 0x1010){
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
				} else if(L_s == 0xF0F0) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
				} else if(L_s == 0x10F0) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
				} else if(L_s == 0xF010) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
				}
			}
		break;	



		case 0x1011:
		case 0x101F:
		case 0x10F1:
		case 0x10FF:
		case 0xF011:
		case 0xF01F:
		case 0xF0F1:
		case 0xF0FF:
			OLED_ShowString(38,8,NOSETLOCK,12,1);    //L2null
				if(L1bd&&L3bd&&L4bd){
					if(L_s == 0x1011){
						OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
						OLED_ShowChinese(12,46,open16,16,1);		  //开
						OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
						OLED_ShowChinese(72,46,open16,16,1);    //开
						OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
						OLED_ShowChinese(102,46,open16,16,1);    //开
					} else if(L_s == 0x101F) {
						OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
						OLED_ShowChinese(12,46,open16,16,1);		  //开
						OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
						OLED_ShowChinese(72,46,open16,16,1);    //开
						OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
						OLED_ShowChinese(102,46,close16,16,1);    //关
					} else if(L_s == 0x10F1) {
						OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
						OLED_ShowChinese(12,46,open16,16,1);		  //开
						OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
						OLED_ShowChinese(72,46,close16,16,1);    //关
						OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
						OLED_ShowChinese(102,46,open16,16,1);    //开
					} else if(L_s == 0x10FF) {
						OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
						OLED_ShowChinese(12,46,open16,16,1);		  //开
						OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
						OLED_ShowChinese(72,46,close16,16,1);    //关
						OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
						OLED_ShowChinese(102,46,close16,16,1);    //关
					} else if(L_s == 0xF011) {
						OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
						OLED_ShowChinese(12,46,close16,16,1);		  //关
						OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
						OLED_ShowChinese(72,46,open16,16,1);    //开
						OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
						OLED_ShowChinese(102,46,open16,16,1);    //开
					} else if(L_s == 0xF01F) {
						OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
						OLED_ShowChinese(12,46,close16,16,1);		  //关
						OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
						OLED_ShowChinese(72,46,open16,16,1);    //开
						OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
						OLED_ShowChinese(102,46,close16,16,1);    //关
					} else if(L_s == 0xF0F1) {
						OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
						OLED_ShowChinese(12,46,close16,16,1);		  //关
						OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
						OLED_ShowChinese(72,46,close16,16,1);    //关
						OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
						OLED_ShowChinese(102,46,open16,16,1);    //开
					} else if(L_s == 0xF0FF) {
						OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
						OLED_ShowChinese(12,46,close16,16,1);		  //关
						OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
						OLED_ShowChinese(72,46,close16,16,1);    //关
						OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
						OLED_ShowChinese(102,46,close16,16,1);    //关
					}
				}
		break;		

		case 0x1100:
		case 0xFF00:
		case 0x1F00:
		case 0xF100:
			OLED_ShowString(68,8,NOSETLOCK,12,1);    //L3null
			OLED_ShowString(98,8,NOSETLOCK,12,1);		 //L4null
			if(L1bd&&L2bd){
				if(L_s == 0x1100){
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
				} else if(L_s == 0xFF00) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
				} else if(L_s == 0x1F00) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
				} else if(L_s == 0xF100) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
				}
			}
		break;		

		case 0x1101:
		case 0x110F:
		case 0x1F01:
		case 0x1F0F:
		case 0xF101:
		case 0xF10F:
		case 0xFF01:
		case 0xFF0F:
			OLED_ShowString(68,8,NOSETLOCK,12,1);    //L3null
			if(L1bd&&L2bd&&L4bd){
				if(L_s == 0x1101){
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x110F) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0x1F01) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x1F0F) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0xF101) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0xF10F) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0xFF01) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0xFF0F) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				}
			}
		break;		

		case 0x1110:
		case 0x11F0:
		case 0x1F10:
		case 0x1FF0:
		case 0xF110:
		case 0xF1F0:
		case 0xFF10:
		case 0xFFF0:
			OLED_ShowString(98,8,NOSETLOCK,12,1);		 //L4null
			if(L1bd&&L2bd&&L4bd){
				if(L_s == 0x1110){
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
				} else if(L_s == 0x11F0) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
				} else if(L_s == 0x1F10) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
				} else if(L_s == 0x1FF0) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
				} else if(L_s == 0xF110) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
				} else if(L_s == 0xF1F0) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
				} else if(L_s == 0xFF10) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
				} else if(L_s == 0xFFF0) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
				}
			}
		break;		

		case 0x1111:
		case 0x111F:
		case 0x11F1:
		case 0x11FF:
		case 0x1F11:
		case 0x1F1F:
		case 0x1FF1:
		case 0x1FFF:
		case 0xF111:
		case 0xF11F:
		case 0xF1F1:
		case 0xF1FF:
		case 0xFF11:
		case 0xFF1F:
		case 0xFFF1:
		case 0xFFFF:
			if(L1bd&&L2bd&&L3bd&&L4bd){
				if(L_s == 0x1111){
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x111F) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0x11F1) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x11FF) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0x1F11) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x1F1F) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0x1FF1) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0x1FFF) {
					OLED_ShowPicture(10,6,20,20,BMP3,1);			//显示图片开
					OLED_ShowChinese(12,46,open16,16,1);		  //开
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0xF111){
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0xF11F) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0xF1F1) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0xF1FF) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(42,46,open16,16,1);    //开
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0xFF11) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0xFF1F) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(72,46,open16,16,1);    //开
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				} else if(L_s == 0xFFF1) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP3,1);    //显示图片开
					OLED_ShowChinese(102,46,open16,16,1);    //开
				} else if(L_s == 0xFFFF) {
					OLED_ShowPicture(10,6,20,20,BMP4,1);			//显示图片关
					OLED_ShowChinese(12,46,close16,16,1);		  //关
					OLED_ShowPicture(40,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(42,46,close16,16,1);    //关
					OLED_ShowPicture(70,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(72,46,close16,16,1);    //关
					OLED_ShowPicture(100,6,20,20,BMP4,1);    //显示图片关
					OLED_ShowChinese(102,46,close16,16,1);    //关
				}
			}
		break;			


		default:
		{
			// Handle default case here
			OLED_ShowString(8,8,NOSETLOCK,12,1);     //L1null
			OLED_ShowString(38,8,NOSETLOCK,12,1);    //L2null
			OLED_ShowString(68,8,NOSETLOCK,12,1);    //L3null
			OLED_ShowString(98,8,NOSETLOCK,12,1);		 //L4null
		break;
		}
	}
}



